org.hibernate.search.indexes.serialization.avro.impl

## Class AvroSerializer

- java.lang.Object
- - org.hibernate.search.indexes.serialization.avro.impl.AvroSerializer

- All Implemented Interfaces:
    Serializer

      public class AvroSerializer
      extends Object
      implements Serializer

  Author:
    Emmanuel Bernard <emmanuel@hibernate.org>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSerializer(org.apache.avro.Protocol protocol)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdd(String entityClassName, Map<String,String> fieldToAnalyzerMap)`
    `void` | `addDelete(String entityClassName)`
    `void` | `addDeleteByQuery(String entityClassName, DeletionQuery deletionQuery)`
    `void` | `addDocument()`
    `void` | `addDocValuesFieldWithBinaryValue(LuceneFieldContext context)`
    `void` | `addDocValuesFieldWithNumericValue(long value, LuceneFieldContext context)`
    `void` | `addDoubleNumericField(double value, LuceneNumericFieldContext context)`
    `void` | `addFieldWithBinaryData(LuceneFieldContext context)`
    `void` | `addFieldWithSerializableFieldable(byte[] fieldable)`
    `void` | `addFieldWithSerializableReaderData(LuceneFieldContext context)`
    `void` | `addFieldWithStringData(LuceneFieldContext context)`
    `void` | `addFieldWithTokenStreamData(LuceneFieldContext context)`
    `void` | `addFloatNumericField(float value, LuceneNumericFieldContext context)`
    `void` | `addFlush()`
    `void` | `addIdAsDouble(double id)`
    `void` | `addIdAsFloat(float id)`
    `void` | `addIdAsInteger(int id)`
    `void` | `addIdAsLong(long id)`
    `void` | `addIdAsString(String id)`
    `void` | `addIdSerializedInJava(byte[] id)`
    `void` | `addIntNumericField(int value, LuceneNumericFieldContext context)`
    `void` | `addLongNumericField(long value, LuceneNumericFieldContext context)`
    `void` | `addOptimizeAll()`
    `void` | `addPurgeAll(String entityClassName)`
    `void` | `addUpdate(String entityClassName, Map<String,String> fieldToAnalyzerMap)`
    `void` | `fields(List<IndexableField> fields)`
    `void` | `luceneWorks(List<LuceneWork> works)`
    `byte[]` | `serialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroSerializer

          public AvroSerializer(org.apache.avro.Protocol protocol)

  - ### Method Detail

    - #### luceneWorks

          public void luceneWorks(List<LuceneWork> works)

      Specified by:
        `luceneWorks` in interface `Serializer`

    - #### addOptimizeAll

          public void addOptimizeAll()

      Specified by:
        `addOptimizeAll` in interface `Serializer`

    - #### addFlush

          public void addFlush()

      Specified by:
        `addFlush` in interface `Serializer`

    - #### addPurgeAll

          public void addPurgeAll(String entityClassName)

      Specified by:
        `addPurgeAll` in interface `Serializer`

    - #### addDeleteByQuery

          public void addDeleteByQuery(String entityClassName,
                                       DeletionQuery deletionQuery)

      Specified by:
        `addDeleteByQuery` in interface `Serializer`

    - #### addIdSerializedInJava

          public void addIdSerializedInJava(byte[] id)

      Specified by:
        `addIdSerializedInJava` in interface `Serializer`

    - #### addIdAsInteger

          public void addIdAsInteger(int id)

      Specified by:
        `addIdAsInteger` in interface `Serializer`

    - #### addIdAsLong

          public void addIdAsLong(long id)

      Specified by:
        `addIdAsLong` in interface `Serializer`

    - #### addIdAsFloat

          public void addIdAsFloat(float id)

      Specified by:
        `addIdAsFloat` in interface `Serializer`

    - #### addIdAsDouble

          public void addIdAsDouble(double id)

      Specified by:
        `addIdAsDouble` in interface `Serializer`

    - #### addIdAsString

          public void addIdAsString(String id)

      Specified by:
        `addIdAsString` in interface `Serializer`

    - #### addDelete

          public void addDelete(String entityClassName)

      Specified by:
        `addDelete` in interface `Serializer`

    - #### addAdd

          public void addAdd(String entityClassName,
                             Map<String,String> fieldToAnalyzerMap)

      Specified by:
        `addAdd` in interface `Serializer`

    - #### addUpdate

          public void addUpdate(String entityClassName,
                                Map<String,String> fieldToAnalyzerMap)

      Specified by:
        `addUpdate` in interface `Serializer`

    - #### serialize

          public byte[] serialize()

      Specified by:
        `serialize` in interface `Serializer`

    - #### fields

          public void fields(List<IndexableField> fields)

      Specified by:
        `fields` in interface `Serializer`

    - #### addIntNumericField

          public void addIntNumericField(int value,
                                         LuceneNumericFieldContext context)

      Specified by:
        `addIntNumericField` in interface `Serializer`

    - #### addLongNumericField

          public void addLongNumericField(long value,
                                          LuceneNumericFieldContext context)

      Specified by:
        `addLongNumericField` in interface `Serializer`

    - #### addFloatNumericField

          public void addFloatNumericField(float value,
                                           LuceneNumericFieldContext context)

      Specified by:
        `addFloatNumericField` in interface `Serializer`

    - #### addDoubleNumericField

          public void addDoubleNumericField(double value,
                                            LuceneNumericFieldContext context)

      Specified by:
        `addDoubleNumericField` in interface `Serializer`

    - #### addFieldWithBinaryData

          public void addFieldWithBinaryData(LuceneFieldContext context)

      Specified by:
        `addFieldWithBinaryData` in interface `Serializer`

    - #### addFieldWithStringData

          public void addFieldWithStringData(LuceneFieldContext context)

      Specified by:
        `addFieldWithStringData` in interface `Serializer`

    - #### addFieldWithTokenStreamData

          public void addFieldWithTokenStreamData(LuceneFieldContext context)

      Specified by:
        `addFieldWithTokenStreamData` in interface `Serializer`

    - #### addFieldWithSerializableReaderData

          public void addFieldWithSerializableReaderData(LuceneFieldContext context)

      Specified by:
        `addFieldWithSerializableReaderData` in interface `Serializer`

    - #### addFieldWithSerializableFieldable

          public void addFieldWithSerializableFieldable(byte[] fieldable)

      Specified by:
        `addFieldWithSerializableFieldable` in interface `Serializer`

    - #### addDocValuesFieldWithBinaryValue

          public void addDocValuesFieldWithBinaryValue(LuceneFieldContext context)

      Specified by:
        `addDocValuesFieldWithBinaryValue` in interface `Serializer`

    - #### addDocValuesFieldWithNumericValue

          public void addDocValuesFieldWithNumericValue(long value,
                                                        LuceneFieldContext context)

      Specified by:
        `addDocValuesFieldWithNumericValue` in interface `Serializer`

    - #### addDocument

          public void addDocument()

      Specified by:
        `addDocument` in interface `Serializer`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved